ContactsCreate a contact

Create a contact

POST /contacts

curl -X POST "https://app.bualpro.com/api/contacts" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY" \
  -d '{
  "phone": "+60123456789",
  "email": "[email protected]",
  "first_name": "Johan",
  "last_name": "Ahmad",
  "gender": "male",
  "actions": [
    {
      "action": "add_tag",
      "tag_name": "YOU_TAG_NAME"
    },
    {
      "action": "set_field_value",
      "field_name": "YOU_CUSTOM_FIELD_NAME",
      "value": "ANY_VALUE"
    },
    {
      "action": "send_flow",
      "flow_id": 11111
    }
  ]
}'
{}
POST
/contacts
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
phonestring
Required

The phone number with country code

emailstring

The contact email

genderstring
Options: male, female, unknown
actionsarray

Actions can be send flow, add/remove tags, set/unset custom field ...

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Body

application/json
phonestring
Required

The phone number with country code

Example:
+60123456789
emailstring

The contact email

first_namestring
Example:
Johan
last_namestring
Example:
Ahmad
genderstring
Allowed values:malefemaleunknown
actionsarray

Actions can be send flow, add/remove tags, set/unset custom field ...

Responses

Creates a new contact.

The source documents response descriptions but no response body schema. Do not infer that the response is empty.